from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XTextRange(XInterface, Protocol):
    def getText(self) -> XText: ...
    def getStart(self) -> XTextRange: ...
    def getEnd(self) -> XTextRange: ...
    def getString(self) -> str: ...
    def setString(self, aString: str) -> None: ...
